Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 723186 - net-print/cnijfilter2-5.80 : fails to build with -fno-common or gcc-10
Summary: net-print/cnijfilter2-5.80 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tupone Alfredo
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-05-15 07:28 UTC by Toralf Förster
Modified: 2020-05-16 17:35 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.78 KB, text/plain)
2020-05-15 07:28 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,107.53 KB, text/plain)
2020-05-15 07:28 UTC, Toralf Förster
Details
environment (environment,63.53 KB, text/plain)
2020-05-15 07:28 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.60 KB, application/x-bzip)
2020-05-15 07:28 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,19.07 KB, application/x-bzip)
2020-05-15 07:28 UTC, Toralf Förster
Details
net-print:cnijfilter2-5.80:20200514-212517.log (net-print:cnijfilter2-5.80:20200514-212517.log,75.15 KB, text/plain)
2020-05-15 07:29 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,27.25 KB, application/x-bzip)
2020-05-15 07:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-05-15 07:28:39 UTC
mv -f .deps/cnijutil.Tpo .deps/cnijutil.Po
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native   -L/var/tmp/portage/net-print/cnijfilter2-5.80/work/cnijfilter2-source-5.80-1/com/libs_bin64 -o cnijlgmon3 cnijcomif.o cnijifusb.o cnijlgmon3.o cnijifnet.o keytext.o cnijifnet2.o cnijutil.o -ldl -lusb-1.0 -lcnnet2 -lxml2 -lcnbpcnclapicom2 -lcnbpnet30 -lcups 
libtool: link: x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -o cnijlgmon3 cnijcomif.o cnijifusb.o cnijlgmon3.o cnijifnet.o keytext.o cnijifnet2.o cnijutil.o  -L/var/tmp/portage/net-print/cnijfilter2-5.80/work/cnijfilter2-source-5.80-1/com/libs_bin64 -ldl -lusb-1.0 -lcnnet2 -lxml2 -lcnbpcnclapicom2 -lcnbpnet30 -lcups
/usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: cnijifnet2.o:(.bss+0x0): multiple definition of `GET_PROTOCOL'; cnijlgmon3.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200512-181504

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.1.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (fallback)
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.43.1 *
The Glorious Glasgow Haskell Compilation System, version 8.0.2

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Thu 14 May 2020 09:07:16 PM UTC
/var/db/repos/libressl	Sat 11 Apr 2020 05:02:25 AM UTC

emerge -qpvO net-print/cnijfilter2
[ebuild  N    ] net-print/cnijfilter2-5.80
Comment 1 Toralf Förster gentoo-dev 2020-05-15 07:28:43 UTC
Created attachment 639204 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-05-15 07:28:47 UTC
Created attachment 639206 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-05-15 07:28:50 UTC
Created attachment 639208 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-05-15 07:28:54 UTC
Created attachment 639210 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-05-15 07:28:58 UTC
Created attachment 639212 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-05-15 07:29:01 UTC
Created attachment 639214 [details]
net-print:cnijfilter2-5.80:20200514-212517.log
Comment 7 Toralf Förster gentoo-dev 2020-05-15 07:29:04 UTC
Created attachment 639216 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-05-16 17:35:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24688d64544b43f2c14be54531ad8764419dde09

commit 24688d64544b43f2c14be54531ad8764419dde09
Author:     Alfredo Tupone <tupone@gentoo.org>
AuthorDate: 2020-05-16 17:34:42 +0000
Commit:     Alfredo Tupone <tupone@gentoo.org>
CommitDate: 2020-05-16 17:34:42 +0000

    net-print/cnijfilter2: fix compiling with fno-common
    
    Closes: https://bugs.gentoo.org/723186
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Alfredo Tupone <tupone@gentoo.org>

 net-print/cnijfilter2/cnijfilter2-5.80.ebuild                 |  1 +
 net-print/cnijfilter2/files/cnijfilter2-5.80-fno-common.patch | 11 +++++++++++
 2 files changed, 12 insertions(+)